

#include <gl/gl.h>
#include <gl/glu.h>


class opengl_class
{
  public:
    friend class window_class;
    
    void opengl_class::stop();
    void opengl_class::start( window_class *link_source );
    void opengl_class::frame();
    void opengl_class::setup_view( void );
    
    
    void opengl_class::setup_data( void );
  
  void opengl_class::plot_stations (  void );
  
    

    void set_window(window_class *link_source) { window_link = link_source; };

 opengl_class::opengl_class(void );

private:
    
    window_class *window_link;
    HGLRC hrc;
    
        PIXELFORMATDESCRIPTOR pfd;
        
        bool init;
 float x_ang;
 float y_ang;
 float zoom;
 
 
GLuint world_grid;
 
 
 
 
 
};

